Bug 10699 - fix double-free in get_print_db_byname
fix double-free in get_print_db_byname
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-08 12:45 UTC by Volker Lendecke
Modified: 2014-10-13 10:47 UTC (History)
1 user (show)

See Also:


Attachments
git am -3 can apply this cleanly from 3.0.0 to master :-) (930 bytes, patch)
2014-07-08 12:45 UTC, Volker Lendecke
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2014-07-08 12:45:32 UTC
Created attachment 10083 [details]
git am -3 can apply this cleanly from 3.0.0 to master :-)

Herewith I nominate this patch for the

"Applies cleanly to the widest range of Samba versions"

award :-)
Comment 1 David Disseldorp 2014-07-08 12:49:16 UTC
(In reply to comment #0)
> Created attachment 10083 [details]
> git am -3 can apply this cleanly from 3.0.0 to master :-)

LGTM.

> Herewith I nominate this patch for the
> 
> "Applies cleanly to the widest range of Samba versions"
> 
> award :-)

Seconded!
Comment 2 David Disseldorp 2014-07-08 12:58:19 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > Created attachment 10083 [details] [details]
> > git am -3 can apply this cleanly from 3.0.0 to master :-)
> 
> LGTM.

Master change pushed to autobuild.
Comment 3 Volker Lendecke 2014-07-08 13:08:21 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > (In reply to comment #0)
> > > Created attachment 10083 [details] [details] [details]
> > > git am -3 can apply this cleanly from 3.0.0 to master :-)
> > 
> > LGTM.
> 
> Master change pushed to autobuild.

Thanks!

Volker
Comment 4 Volker Lendecke 2014-07-09 08:10:49 UTC
Karolin, please push this to the currently maintained branches.

Thanks,

Volker
Comment 5 Karolin Seeger 2014-07-11 07:29:10 UTC
(In reply to comment #4)
> Karolin, please push this to the currently maintained branches.
> 
> Thanks,
> 
> Volker

Pushed to autobuild-v4-[0|1]-test.
Comment 6 Karolin Seeger 2014-07-17 18:47:50 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Karolin, please push this to the currently maintained branches.
> > 
> > Thanks,
> > 
> > Volker
> 
> Pushed to autobuild-v4-[0|1]-test.

Pushed to both branches.
Closing out bug report.

Thanks!